Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.action
Class ActionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.campaign.action.ActionException

public class ActionException
extends java.lang.Exception

Generic exception to be thrown by an Action implementation so that Action clients can just check for this one type, regardless of what the action is doing.

See Also:
  Serialized Form

Constructor Summary
`ActionException()`
`ActionException(java.lang.Exception e)` Wrap the original exception.
`ActionException(java.lang.Exception e, java.lang.String message)` Wrap the original exception and add an Action-specific message.
`ActionException(java.lang.String message)`

Method Summary
`java.lang.Exception` | `getEmbeddedException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionException

    public ActionException(java.lang.Exception e,
                           java.lang.String message)

  Wrap the original exception and add an Action-specific message.

### ActionException

    public ActionException(java.lang.Exception e)

  Wrap the original exception. The original exception's message will become this exception's message.

### ActionException

    public ActionException(java.lang.String message)

### ActionException

    public ActionException()

Method Detail

### getEmbeddedException

    public java.lang.Exception getEmbeddedException()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved